# Encode wallet transactions (POST /wallet/encode_7702)

Operation `wallet_encode_7702` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Encodes a list of transactions into a single transaction for an EIP-7702 delegated smart contract wallet. All transactions must have the same chainId.

Parameters: 1 header, 3 body · Request: `application/json` · Auth: apiKey · Responses: 200, 400, 401, 404, 429, 500, 504

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `calls` | object[] | yes | Array of transaction requests to be encoded. All transactions must have the same chainId. |
| `smartContractDelegationAddress` | string | yes |  |
| `walletAddress` | string | yes |  |

## Responses

- `200` — Encode 7702 wallet transactions successful.
- `400` — RequestValidationError, Bad Input
- `401` — UnauthorizedError eg. Account is blocked.
- `404` — ResourceNotFound eg. No quotes available or Gas fee/price not available
- `429` — Ratelimited
- `500` — Unexpected error
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/wallet_encode_7702
All endpoints: https://developers.uniswap.org/docs/api-reference
